
Name:       ksystemlog
Version: 23.08.5
Release:    %mkrel 1
Summary:    System log viewer tool for Plasma
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GFDL
URL:        http://www.kde.org
Source0:    http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: qtbase5-common-devel 

Requires: pciutils

%description
This program is developed for being used by beginner users,
which don't know how to find information about their Linux system,
and how the log files are in their computer.
But it is also designed for advanced users,
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them
 directly in a menu
 - Auto display new lines logged in bold
 - Tabbed view to allow displaying several logs at the same time
 - Saving in a file and copying to clipboard the selected log
   lines are also implemented (and email to your friends)
   - It can parse the following log files of your system :

   - X.org (or Xfree) logs
   - System logs (using the Syslog parser of KSystemLog)
   - Kernel logs
   - Daemons logs
   - Cron logs
   - Boot logs
   - Authentication logs
   - Cups logs
   - ACPID logs

%files
%_kf5_bindir/ksystemlog
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/kxmlgui5/ksystemlog
%_kf5_datadir/locale
%_kf5_datadir/metainfo/org.kde.ksystemlog.appdata.xml
/usr/share/qlogging-categories5/ksystemlog.categories
#------------------------------------------------------------------------------

%package -n ksystemlog-handbook
Summary: Ksystemlog handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n ksystemlog-handbook
This package provides ksystemlog handbook

%files -n ksystemlog-handbook
%docdir %_kf5_docdir/HTML
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

